Subject: bug#35319: Guix System installer text direction wrong for RTL languages

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Fri, 19 Apr 2019 20:11:49 +0200

On Fri, Apr 19, 2019 at 05:26:35PM +0200, Ludovic Courtès wrote:
> "pelzflorian (Florian Pelz)" <[email-masked]> skribis:
> 
> > On Wed, Apr 17, 2019 at 12:06:31PM +0200, Ludovic Courtès wrote:
> >> I made changes to the installer so it’s almost ready as far as I’m
> >> concerned.  It now displays language and territory names in the right
> >> language.
> >> 
> >
> > Language names for Arabic, Farsi, Hebrew are shown Left-to-Right (LTR)
> > instead of Right-to-Left, e.g. العربية is displayed wrongly as ‭العربية‬.
> 
> Ouch, good point!  I have no idea what it takes to display RTL languages
> properly.  AFAIK ‘gettext’ simply returns a string, so I guess it’s up
> to the UI toolkit (Newt?) to do the right thing?
> 

Debian has a similar bug:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=917909

The

https://salsa.debian.org/mckinstry/newt/blob/debian/master/debian/README.Debian

says:

Debian's version of newt include Bidirectional text support not yet present
upstream, including an API addition "newtCheckboxSetWidth". Please only use
this within Debian until it is supported upstream.

There is a

https://salsa.debian.org/mckinstry/newt/blob/debian/master/debian/patches/bidi.patch

However, I do not know how to use this.

Regards,
Florian